$faded-color: #7a7971;
$attack-button-color: $secondary-color;
$damage-button-color: $primary-color;
$light-text: #f5efe0;

.attacks {
    .section-header .controls {
        gap: 8px;
    }

    .section-body {
        padding: 0 4px;

        /** So it looks better empty since we removed vertical padding */
        min-height: 10px;
    }
}

.actions-list {
    align-items: baseline;
    padding: 0px;
    margin: 0px;
    padding-bottom: 6px;
    width: 100%;
}

.action {
    display: flex;
    flex: 1 0 46%;
    margin-left: 6px;
    margin-right: 6px;
    flex-direction: column;
    justify-content: flex-start;
    margin-top: 6px;

    &:not(:last-child) {
        border-bottom: 1px solid $faded-color;
    }

    .action-header {
        display: flex;
        flex: 1 0 auto;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;

        .action-name {
            display: flex;
            flex: auto;
            font-size: 0.9rem;

            h4 {
                margin: 0px;
                margin-bottom: 0px;
            }

            .action-traits {
                margin-left: 12px;
            }
        }
    }

    .item-summary {
        grid-column: 1/-1;
        margin-top: 0.5em;
    }
}

.attack {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;

    margin: 8px 6px 0 6px;
    border-bottom: 1px solid $faded-color;

    &:last-child {
        border-bottom: none;
    }

    .attack-header {
        display: flex;
        flex: 1 0 auto;
        flex-direction: row;
        align-items: baseline;
        width: 100%;
    }

    .attack-name {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 2px;
        white-space: nowrap;
        margin: 0 4px 0 0;

        font-size: 0.9rem;
        font-weight: 500;

        & > span {
            gap: 3px;
            margin-right: 4px;
            display: flex;
            align-items: baseline;
            line-height: 1.125rem;
        }
    }

    .attack-body {
        display: flex;
        align-items: flex-start;
        flex-direction: column;

        width: 100%;
        padding-top: 3px;

        .flexrow,
        .sub-section {
            gap: 2px;
        }

        .sub-section {
            display: flex;
            flex: auto;
            flex-direction: row;
            justify-content: flex-start;
            align-items: flex-start;
            flex-wrap: wrap;

            h4 {
                margin-left: 12px;
                margin-right: 12px;
            }
        }

        button {
            width: auto !important;
            cursor: pointer;
            margin: 0;
            padding: 0 8px;
            font-size: var(--font-size-10);
            height: 18px;
            line-height: 18px;
            box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.3), inset 0 0 0 2px rgba(255, 255, 255, 0.2);
            background: $attack-button-color;
            color: $light-text;
            text-align: center;
            white-space: nowrap;
            border-radius: 3px;
            border: none;

            &:first-child {
                margin-left: 0px;
            }

            &:hover {
                box-shadow: none;
                text-shadow: 0 0 2px white;
            }
        }

        .attack-button {
            background-color: $attack-button-color;
        }

        .damage-button,
        .critical-button {
            background-color: $damage-button-color;
        }

        .attack-description {
            min-height: 10px;
        }
    }
}

.actions-list, .attacks-list {
    .controls {
        font-size: 0.8rem;
        display: flex;
        flex-wrap: nowrap;
        align-items: baseline;
        margin-left: auto;
        gap: 1px;

        .chat {
            margin-right: 3px;
            font-size: 0.9em;
        }
        > a.item-control {
            padding-left: 4px;
        }
    }
}
